Upstream information

CVE-2014-8090 at MITRE

Description

The REXML parser in Ruby 1.9.x before 1.9.3 patchlevel 551, 2.0.x before 2.0.0 patchlevel 598, and 2.1.x before 2.1.5 allows remote attackers to cause a denial of service (CPU and memory consumption) a crafted XML document containing an empty string in an entity that is used in a large number of nested entity references, aka an XML Entity Expansion (XEE) attack. NOTE: this vulnerability exists because of an incomplete fix for CVE-2013-1821 and CVE-2014-8080.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entry: 905326 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • ruby >= 1.8.7.p357-0.9.17.1
Patchnames:
sledsp3-ruby
SUSE Linux Enterprise Desktop 12
  • libruby2_1-2_1 >= 2.1.2-9.1
  • ruby2.1 >= 2.1.2-9.1
  • ruby2.1-stdlib >= 2.1.2-9.1
Patchnames:
SUSE-SLE-DESKTOP-12-2015-34
SUSE Linux Enterprise Desktop 12 SP1
  • libruby2_1-2_1 >= 2.1.2-9.1
  • ruby2.1 >= 2.1.2-9.1
  • ruby2.1-stdlib >= 2.1.2-9.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA libruby2_1-2_1
SUSE Linux Enterprise Desktop 12 SP2
  • libruby2_1-2_1 >= 2.1.2-12.3
  • ruby2.1 >= 2.1.2-12.3
  • ruby2.1-stdlib >= 2.1.2-12.3
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA libruby2_1-2_1
SUSE Linux Enterprise Desktop 12 SP3
  • libruby2_1-2_1 >= 2.1.9-18.1
  • ruby2.1 >= 2.1.9-18.1
  • ruby2.1-stdlib >= 2.1.9-18.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libruby2_1-2_1
SUSE Linux Enterprise Server 11 SP3
  • ruby >= 1.8.7.p357-0.9.17.1
  • ruby-doc-html >= 1.8.7.p357-0.9.17.1
  • ruby-tk >= 1.8.7.p357-0.9.17.1
Patchnames:
slessp3-ruby
SUSE Linux Enterprise Server 11 SP4
  • ruby >= 1.8.7.p357-0.9.17.1
  • ruby-doc-html >= 1.8.7.p357-0.9.17.1
  • ruby-tk >= 1.8.7.p357-0.9.17.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA ruby
SUSE Linux Enterprise Server 12
  • libruby2_1-2_1 >= 2.1.2-9.1
  • ruby2.1 >= 2.1.2-9.1
  • ruby2.1-stdlib >= 2.1.2-9.1
Patchnames:
SUSE-SLE-SERVER-12-2015-34
SUSE Linux Enterprise Server 12 SP1
  • libruby2_1-2_1 >= 2.1.2-9.1
  • ruby2.1 >= 2.1.2-9.1
  • ruby2.1-stdlib >= 2.1.2-9.1
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA libruby2_1-2_1
SUSE Linux Enterprise Server 12 SP2
  • libruby2_1-2_1 >= 2.1.2-12.3
  • ruby2.1 >= 2.1.2-12.3
  • ruby2.1-stdlib >= 2.1.2-12.3
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA libruby2_1-2_1
SUSE Linux Enterprise Server 12 SP3
  • libruby2_1-2_1 >= 2.1.9-18.1
  • ruby2.1 >= 2.1.9-18.1
  • ruby2.1-stdlib >= 2.1.9-18.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libruby2_1-2_1
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libruby2_1-2_1 >= 2.1.2-12.3
  • ruby2.1 >= 2.1.2-12.3
  • ruby2.1-stdlib >= 2.1.2-12.3
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libruby2_1-2_1
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • ruby >= 1.8.7.p357-0.9.17.1
  • ruby-doc-html >= 1.8.7.p357-0.9.17.1
  • ruby-tk >= 1.8.7.p357-0.9.17.1
Patchnames:
slessp3-ruby
SUSE Linux Enterprise Server for SAP Applications 12
  • libruby2_1-2_1 >= 2.1.2-9.1
  • ruby2.1 >= 2.1.2-9.1
  • ruby2.1-stdlib >= 2.1.2-9.1
Patchnames:
SUSE-SLE-SERVER-12-2015-34
SUSE Linux Enterprise Server for VMWare 11 SP3
  • ruby >= 1.8.7.p357-0.9.17.1
  • ruby-doc-html >= 1.8.7.p357-0.9.17.1
  • ruby-tk >= 1.8.7.p357-0.9.17.1
Patchnames:
slessp3-ruby
SUSE Linux Enterprise Software Development Kit 11 SP3
  • ruby-devel >= 1.8.7.p357-0.9.17.1
  • ruby-doc-html >= 1.8.7.p357-0.9.17.1
  • ruby-doc-ri >= 1.8.7.p357-0.9.17.1
  • ruby-examples >= 1.8.7.p357-0.9.17.1
  • ruby-test-suite >= 1.8.7.p357-0.9.17.1
  • ruby-tk >= 1.8.7.p357-0.9.17.1
Patchnames:
sdksp3-ruby
SUSE Linux Enterprise Software Development Kit 11 SP4
  • ruby-devel >= 1.8.7.p357-0.9.17.1
  • ruby-doc-html >= 1.8.7.p357-0.9.17.1
  • ruby-doc-ri >= 1.8.7.p357-0.9.17.1
  • ruby-examples >= 1.8.7.p357-0.9.17.1
  • ruby-test-suite >= 1.8.7.p357-0.9.17.1
  • ruby-tk >= 1.8.7.p357-0.9.17.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA ruby-devel
SUSE Linux Enterprise Software Development Kit 12
  • ruby2.1 >= 2.1.2-9.1
  • ruby2.1-devel >= 2.1.2-9.1
Patchnames:
SUSE-SLE-SDK-12-2015-34
SUSE Linux Enterprise Software Development Kit 12 SP1
  • ruby2.1-devel >= 2.1.2-9.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA ruby2.1-devel
SUSE Linux Enterprise Software Development Kit 12 SP2
  • ruby2.1-devel >= 2.1.2-12.3
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA ruby2.1-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • ruby2.1-devel >= 2.1.9-18.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA ruby2.1-devel
SUSE Studio Onsite 1.3
  • ruby19 >= 1.9.3.p392-0.19.1
  • ruby19-devel >= 1.9.3.p392-0.19.1
  • ruby19-devel-extra >= 1.9.3.p392-0.19.1
Patchnames:
slestso13-ruby19
SUSE Studio Onsite 1.3
  • ruby19 >= 1.9.3.p392-0.19.1
  • ruby19-devel >= 1.9.3.p392-0.19.1
  • ruby19-devel-extra >= 1.9.3.p392-0.19.1
Builds
SAT Patch Nr: 10034
SUSE Linux Enterprise Software Development Kit 11 SP3
  • ruby-devel >= 1.8.7.p357-0.9.17.1
  • ruby-doc-html >= 1.8.7.p357-0.9.17.1
  • ruby-doc-ri >= 1.8.7.p357-0.9.17.1
  • ruby-examples >= 1.8.7.p357-0.9.17.1
  • ruby-test-suite >= 1.8.7.p357-0.9.17.1
  • ruby-tk >= 1.8.7.p357-0.9.17.1
Builds
SAT Patch Nr: 10126
SUSE Linux Enterprise Desktop 11 SP3
  • ruby >= 1.8.7.p357-0.9.17.1
Builds
SAT Patch Nr: 10126
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • ruby >= 1.8.7.p357-0.9.17.1
  • ruby-doc-html >= 1.8.7.p357-0.9.17.1
  • ruby-tk >= 1.8.7.p357-0.9.17.1
Builds
SAT Patch Nr: 10126
openSUSE 13.1
  • ruby19 >= 1.9.3.p448-2.8.1
  • ruby19-debuginfo >= 1.9.3.p448-2.8.1
  • ruby19-debugsource >= 1.9.3.p448-2.8.1
  • ruby19-devel >= 1.9.3.p448-2.8.1
  • ruby19-devel-extra >= 1.9.3.p448-2.8.1
  • ruby19-doc-ri >= 1.9.3.p448-2.8.1
  • ruby19-tk >= 1.9.3.p448-2.8.1
  • ruby19-tk-debuginfo >= 1.9.3.p448-2.8.1
  • ruby20 >= 2.0.0.p247-3.19.1
  • ruby20-debuginfo >= 2.0.0.p247-3.19.1
  • ruby20-debugsource >= 2.0.0.p247-3.19.1
  • ruby20-devel >= 2.0.0.p247-3.19.1
  • ruby20-devel-extra >= 2.0.0.p247-3.19.1
  • ruby20-doc-ri >= 2.0.0.p247-3.19.1
  • ruby20-tk >= 2.0.0.p247-3.19.1
  • ruby20-tk-debuginfo >= 2.0.0.p247-3.19.1
Patchnames:
openSUSE-2014-758
openSUSE-2015-1
openSUSE Leap 42.1
  • libruby2_1-2_1 >= 2.1.2-5.7
  • ruby2.1 >= 2.1.2-5.7
  • ruby2.1-devel >= 2.1.2-5.7
  • ruby2.1-stdlib >= 2.1.2-5.7
Patchnames:
openSUSE Leap 42.1 GA libruby2_1-2_1
openSUSE Leap 42.2
  • libruby2_1-2_1 >= 2.1.2-7.23
  • ruby2.1 >= 2.1.2-7.23
  • ruby2.1-devel >= 2.1.2-7.23
  • ruby2.1-stdlib >= 2.1.2-7.23
Patchnames:
openSUSE Leap 42.2 GA libruby2_1-2_1
openSUSE Leap 42.3
  • libruby2_1-2_1 >= 2.1.9-9.1
  • ruby2.1 >= 2.1.9-9.1
  • ruby2.1-devel >= 2.1.9-9.1
  • ruby2.1-stdlib >= 2.1.9-9.1
Patchnames:
openSUSE Leap 42.3 GA libruby2_1-2_1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Lifecycle Management Server 1.3 ruby Released
SUSE Linux Enterprise Desktop 11 SP1 ruby Released
SUSE Linux Enterprise Desktop 11 SP2 ruby Ignore
SUSE Linux Enterprise Desktop 11 SP3 ruby Released
SUSE Linux Enterprise Desktop 12 GA ruby Affected
SUSE Linux Enterprise SDK 11 SP1 ruby Released
SUSE Linux Enterprise SDK 11 SP2 ruby Ignore
SUSE Linux Enterprise SDK 11 SP3 ruby Released
SUSE Linux Enterprise SDK 12 GA ruby Affected
SUSE Linux Enterprise Server 11 SP1 ruby Released
SUSE Linux Enterprise Server 11 SP1 LTSS ruby Released
SUSE Linux Enterprise Server 11 SP2 ruby Ignore
SUSE Linux Enterprise Server 11 SP2 LTSS ruby Ignore
SUSE Linux Enterprise Server 11 SP3 ruby Released
SUSE Linux Enterprise Server 12 GA ruby Affected
SUSE Linux Enterprise Server for SAP AIO 11 SP1 ruby Released
SUSE Linux Enterprise Server for VMWare 11 SP2 ruby Ignore
SUSE Linux Enterprise Server for VMWare 11 SP3 ruby Released
SUSE Studio Onsite 1.3 ruby Released